package com.bocloud.cmp.model.storage;

import java.util.List;

public class StorageNodeModel {
    private String nodeUuid; // 唯一标识
    private String name; // 名称
    private String status; // 状态
    private String iscsiName; // iSCSI 名称 (IQN)
    private String iscsiAlias; // iSCSI 别名
    private Boolean isConfigNode; // 配置节点
    private Boolean failoverActive; // iSCSI 故障转移活动
    private String failoverName; // 故障转移伙伴节点
    private String keyPath; // smis用来传参
    private List<StorageFCPortModel> fcPorts; // 该节点拥有的光纤端口

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getNodeUuid() {
        return nodeUuid;
    }

    public void setNodeUuid(String nodeUuid) {
        this.nodeUuid = nodeUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIscsiName() {
        return iscsiName;
    }

    public void setIscsiName(String iscsiName) {
        this.iscsiName = iscsiName;
    }

    public String getIscsiAlias() {
        return iscsiAlias;
    }

    public void setIscsiAlias(String iscsiAlias) {
        this.iscsiAlias = iscsiAlias;
    }

    public Boolean getIsConfigNode() {
        return isConfigNode;
    }

    public void setIsConfigNode(Boolean configNode) {
        isConfigNode = configNode;
    }

    public Boolean getFailoverActive() {
        return failoverActive;
    }

    public void setFailoverActive(Boolean failoverActive) {
        this.failoverActive = failoverActive;
    }

    public String getFailoverName() {
        return failoverName;
    }

    public void setFailoverName(String failoverName) {
        this.failoverName = failoverName;
    }

    public List<StorageFCPortModel> getFcPorts() {
        return fcPorts;
    }

    public void setFcPorts(List<StorageFCPortModel> fcPorts) {
        this.fcPorts = fcPorts;
    }
}
